PostZen
Webhooks

Get a webhook

GET
/v1/webhooks/{webhookId}

Returns one webhook endpoint visible to the API key without secret or custom header values.

Authorization

bearerAuth
AuthorizationBearer <token>

PostZen API key.

In: header

Path Parameters

webhookId*string

PostZen webhook endpoint id.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhooks/string"
{  "webhook": {    "id": "string",    "name": "string",    "url": "http://example.com",    "events": [      "post.published"    ],    "profileAccess": "all_profiles",    "profileIds": [      "string"    ],    "hasSigningSecret": true,    "customHeaderNames": [      "string"    ],    "isActive": true,    "disabledReason": "auto_consecutive_failures",    "consecutiveFailures": 0,    "lastDeliveredAt": "2019-08-24T14:15:22Z",    "lastFailedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "error": "Unauthorized"}
{  "error": "API key requires read_write permission"}
{  "error": "Not found"}
{  "error": "Failed to create post"}